PUT /api/V202502/list/{listId}/flagIssueAction

Updates the flag issue state for all issues in a list

FlagIssueBillListActionV202502 Permissions: FlaggedItems (Manage)
Use this endpoint to bulk-update the state of flag issues contained in a flag issue list or dynamic flag issue list. Other list types are not supported.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
listId Unique numeric identifier of the flag issue list integer (int32) Required

Request Body

FlagIssueEditAction
Property Description Type
assignees All users currently assigned to this flag issue Required (defined) integer[]
comment Comment about the flag issue Required (defined) string
flagIssueStatusId Current status of the flag issue Must be a valid value for FlagStatusEnum: Unresolved = 1, Resolved = 2 Required (defined) integer (int32)
Example Request Body application/json
{  "assignees": [
    1
  ],  "comment": "string",  "flagIssueStatusId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}